Bug 175463 - Review Request: tclsoap - SOAP support for Tcl
Summary: Review Request: tclsoap - SOAP support for Tcl
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On: 174278
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-12-11 05:07 UTC by Wart
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-29 16:21:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wart 2005-12-11 05:07:10 UTC
Spec Name or Url: http://www.kobold.org/~wart/fedora/tclsoap.spec
SRPM Name or Url: http://www.kobold.org/~wart/fedora/tclsoap-1.6.7-1.src.rpm
MD5SUMs: http://www.kobold.org/~wart/fedora/MD5SUM.asc
Description:
Provides support for building clients and servers for the
SOAP remote procedure call protocol from Tcl.  When combined with tclhttpd (already in FE) this provides a nice SOAP server platform for Tcl.

Comment 1 John Mahowald 2006-01-29 03:11:14 UTC
Good:

- rpmlint clean
- package meets naming guidelines
- package meets packaging guidelines
- license (MIT) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED

Comment 2 Wart 2006-01-29 16:21:24 UTC
Package imported and built without problems on devel.

Thanks for the review!


Note You need to log in before you can comment on or make changes to this bug.